# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.93.0"
name = "tari_common_sqlite"
version = "5.3.1-pre.4"
authors = ["The Tari Development Community"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Tari cryptocurrency wallet library"
readme = "README.md"
license = "BSD-3-Clause"
repository = "https://github.com/tari-project/tari"
resolver = "2"

[package.metadata.cargo-machete]
ignored = ["libsqlite3-sys"]

[features]
bundled = ["libsqlite3-sys/bundled"]

[lib]
name = "tari_common_sqlite"
path = "src/lib.rs"

[dependencies.diesel]
version = "2.3.8"
features = [
    "sqlite",
    "r2d2",
    "serde_json",
    "chrono",
    "64-column-tables",
]

[dependencies.diesel_migrations]
version = "2.3"

[dependencies.lazy_static]
version = "1.5.0"

[dependencies.libsqlite3-sys]
version = "0.30.1"
optional = true

[dependencies.log]
version = "0.4"

[dependencies.rand]
version = "0.10.1"

[dependencies.serde]
version = "1"

[dependencies.serde_json]
version = "1"

[dependencies.tari_utilities]
version = "0.10"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1.47"
features = [
    "sync",
    "macros",
    "rt",
]

[dev-dependencies.tokio]
version = "1.47"
features = [
    "sync",
    "macros",
    "rt",
    "time",
    "rt-multi-thread",
]
